services:
  backend:
    image: sa8001/snstatus-backend:v0.1.5
    container_name: snstatus-backend
    restart: always
    environment:
      - NODE_ENV=production
    privileged: true
    volumes:
      - /:/host:ro
      - /proc:/host/proc:ro
      - /sys:/host/sys:ro
      - /var/run/docker.sock:/var/run/docker.sock
      - ./data:/app/data
    ports:
      - "8001:8001"

  frontend:
    image: sa8001/snstatus-frontend:v0.1.5
    container_name: snstatus-frontend
    restart: always
    ports:
      - "3005:80"
    depends_on:
      - backend
